###

#

pixel_reference_is_mutable< R > Struct Template Reference
Metafunctions » Type Analysis Metafunctions » xxx_is_mutable

Determines if the given pixel reference is mutable (i.e. its channels can be changed) More...

`#include <metafunctions.hpp>`

Inherits integral_constant< bool, std::remove_reference< R >::type::is_mutable >.

## Detailed Description

### template<typename R>
struct boost::gil::pixel_reference_is_mutable< R >

Determines if the given pixel reference is mutable (i.e. its channels can be changed)

Note that built-in C++ references obey the const qualifier but reference proxy classes do not.

The documentation for this struct was generated from the following file:

- metafunctions.hpp